%global momorel 2

Summary: Simple Scanning Utility
Name: simple-scan
Version: 1.0.3
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: User Interface/Desktops
URL: https://launchpad.net/simple-scan
Source0: http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: glib2-devel
BuildRequires: cairo-devel
BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
BuildRequires: libgudev1-devel
BuildRequires: sane-backends-devel

%description
Simple Scanning Utility

%prep
%setup -q

%build
%configure --enable-silent-rules \
  --disable-schemas-install \
  --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas \
  > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas \
    > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas \
    > /dev/null || :
fi

%postun
rarian-sk-update

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/simple-scan.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/gnome/help/%{name}


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.3-2m)
- full rebuild for mo7 release

* Sun Jul 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-1m)
- initial build
- 2.31.1 was released and merge to gnome
